//+------------------------------------------------------------------+
//|                                                   id_diffrnt.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "mt4_soft@yahoo.com"
#property indicator_chart_window

#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red

#property indicator_width1 5
#property indicator_width2 5


double ExtMapBuffer1[];
double ExtMapBuffer2[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);

   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexEmptyValue(1,0.0);

 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int   j,k,limit;     
   double value1,value2,sth[10],rsi[10],srd0,srd1,nn;
   
   int    counted_bars=IndicatorCounted();
//----
   k=2;
    nn=k;
   if (counted_bars==0) 
        limit=Bars-1; 

 if (counted_bars>0)  
  limit=Bars-counted_bars-1; 
  
 for(int i=limit;i>=0;i=i-1)
      {
      
        value1=0.0;
        value2=0.0;
        
   
     for(j=0;j<k;j++)
      rsi[j]=iRSI(NULL,0,8,PRICE_OPEN,i+j);
     
     for(j=0;j<k;j++)  
      sth[j]=iStochastic(NULL,0,21,5,3,MODE_SMA,0,MODE_MAIN,i+j);   
   
      srd0=0;
     for(j=0;j<k;j++)
      srd0=srd0+rsi[j];
      srd0=srd0/nn;
      
      srd1=0;
     for(j=0;j<k;j++)
      srd1=srd1+sth[j];
      srd1=srd1/nn; 
      
    if(srd0 > srd1) value2=Open[i];
       else value1=Open[i];
   
        ExtMapBuffer1[i]=value1;
        ExtMapBuffer2[i]=value2;
   
       }
//----
   return(0);
  }
//+------------------------------------------------------------------+